Subject: bug#19960: epg: allow passing --keyring values via new epg-context-keyrings

From: Ted Zlatanov <[email-masked]>
Date: Tue, 21 Apr 2015 07:37:24 -0400

On Tue, 21 Apr 2015 20:16:32 +0900 Daiki Ueno <[email-masked]> wrote: 

DU> Werner Koch <[email-masked]> writes:
>> Using a different keyring may result in some surprising behaviour and
>> thus I consider it is better to use use a different GNUPGHOME for a
>> different configuration.

DU> Thanks, I was expecting so.  Considering that, I'd suggest to make the
DU> patch less generic.  That is, assuming that the main use-case of an
DU> external keyring is signature verification, add an optional argument
DU> KEYRING to epg-verify-*, instead of extending epg-context.

I actively use GnuPG with two separate keyrings for file encryption and
decryption, that's why I thought this was useful. I'd like to keep both
keyrings in one place instead of overriding GPGHOME. But I don't feel
strongly about it and can adapt, if there are downsides I wasn't aware
existed.

Thanks!
Ted